## org.gjt.sp.jedit.textarea
Class AntiAlias

    java.lang.Object
      org.gjt.sp.jedit.textarea.AntiAlias

    public class AntiAlias

extends java.lang.Object

Class for representing AntiAlias values. The following modes are supported: none standard lcd subpixel (JDK 1.6 only)

Since:
  jedit 4.3pre4

Field Summary
`static java.lang.Object[]` `comboChoices`
`static java.lang.Object` `NONE`
`static java.lang.Object` `STANDARD`
`static java.lang.Object` `SUBPIXEL`

Constructor Summary
`AntiAlias(boolean isEnabled)`
`AntiAlias(int val)`
`AntiAlias(java.lang.String v)`

Method Summary
`boolean` `equals(java.lang.Object other)`
`void` `fromString(java.lang.String v)`
`void` `set(int newValue)`
`java.lang.String` `toString()`
`int` `val()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final java.lang.Object NONE

### STANDARD

    public static final java.lang.Object STANDARD

### SUBPIXEL

    public static final java.lang.Object SUBPIXEL

### comboChoices

    public static final java.lang.Object[] comboChoices

Constructor Detail

### AntiAlias

    public AntiAlias(boolean isEnabled)

### AntiAlias

    public AntiAlias(int val)

### AntiAlias

    public AntiAlias(java.lang.String v)

Method Detail

### set

    public void set(int newValue)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### fromString

    public void fromString(java.lang.String v)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### val

    public int val()